Bug 1029361 - Clicking 'New package' radio button clears the field
Clicking 'New package' radio button clears the field
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Data Modeler (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ER6
: 6.0.0
Assigned To: Walter Medvedeo
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 04:22 EST by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:07:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-11-12 04:22:05 EST
Description of problem:
When creating a new data object, the radio button for selecting/typing a new package clears the package typed in. This behaviour is unexpected and not really correct.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER4


Steps to Reproduce:
1. Open Data Modeler, start creating a new data object.
2. Select 'New package' and fill in some package name.
3. Click 'New package' again.

Actual results:
The package is cleared.

Expected results:
Nothing changed, the package filled in in step 2 is still there.
Comment 1 Jan 2013-11-25 11:40:12 EST
Behaviour of the package radio button has been adapted; the value of neither the new package field nor the existing package drop-down is cleared while the new object popup is open. When clicking the ok-button, the value corresponding to the selected radio-option will be taken for the new object's package value.

Fix available in:

master URL: http://github.com/droolsjbpm/kie-wb-common/commit/19a8de546
6.0.x URL: http://github.com/droolsjbpm/kie-wb-common/commit/5f22a4fcd
Comment 2 Zuzana Krejčová 2014-01-13 04:32:40 EST
Verified with ER7.

Note You need to log in before you can comment on or make changes to this bug.